Upload events
1 min
POST
https://api.us1.odp.optimizely.com/v3/events
Body Parameters
- bodyEvent[]requiredExamplesExample Payload:
[ { "type": "product", "action": "add_to_cart", "identifiers": { "email": "[email protected]" }, "data": { "product_id": "123" } }, { "type": "product", "action": "remove_from_cart", "identifiers": { "email": "[email protected]" }, "data": { "product_id": "123" } } ]- typestringrequiredExampleDescription
- actionstringrequiredExampleDescription
- identifiersmap<string, string>requiredDescription
- datamap<string, string>Description
Responses
202
- GenericUpdateResponse
- titlestring
- statusinteger<int32>Formatint32
- timestampstring
400
- undefinedExample
{ "title": "Bad Request", "status": 400, "timestamp": "2018-09-10T21:07:10-05:00", "detail": { "invalids": [ { "field": "delimiter", "reason": "Unrecognized delimiter, valid options are comma, tab or pipe" } ] } }
403
- undefinedExample
{ "message": "Forbidden" }
404
- undefinedExample
{ "title": "Bad Request", "status": 404, "timestamp": "2018-09-10T21:07:10-05:00", "detail": { "message": "Not found description" } }
curl
curl --request POST \
--url https://api.us1.odp.optimizely.com/v3/events \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '[
{
"type": "product",
"action": "add_to_cart",
"identifiers": ""
}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify([
{
"type": "product",
"action": "add_to_cart",
"identifiers": ""
}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.us1.odp.optimizely.com/v3/events", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.us1.odp.optimizely.com/v3/events")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump([
{
"type": "product",
"action": "add_to_cart",
"identifiers": ""
}
])
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.us1.odp.optimizely.com/v3/events"
payload = json.dumps([
{
"type": "product",
"action": "add_to_cart",
"identifiers": ""
}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
202
// Accepted
{
"title": "",
"status": "",
"timestamp": ""
}400
// Bad Request
"{\"title\":\"Bad Request\",\"status\":400,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"invalids\":[{\"field\":\"delimiter\",\"reason\":\"Unrecognized delimiter, valid options are comma, tab or pipe\"}]}}"403
// Forbidden
"{ \"message\": \"Forbidden\"}"404
// Not Found
"{\"title\":\"Bad Request\",\"status\":404,\"timestamp\":\"2018-09-10T21:07:10-05:00\",\"detail\":{\"message\":\"Not found description\"}}"